Task products
You can download your SAR Products from the Tasking API if the task status is FULFILLED or DONE.
-
FULFILLED— SLA products are available for download within the requested SLA of the acquisition time. -
DONE— all products are available for download, including non-SLA products. Non-SLA products are included only if specified in theproductTypesparameter when creating a task).
SLA products
SLA products are configured as part of your company’s contract. These products define the set of sar products against which ICEYE measures the service level provided for each task.
The full list of supported products and their details are in the ICEYE Product Specification. A non-exhaustive list is provided below:
| Imaging Mode | Product Types |
|---|---|
Scan |
|
Scan Wide |
|
Strip |
|
Spot |
|
Spot Fine |
|
Spot Extended Area |
|
Dwell |
|
Dwell Fine |
|
Dwell Precise |
|
The GRD, SLC, CSI and VID product types will be phased out over 2026/27, after which only the newer GRD-COG, SLC-COG, CSI-COG and VID-COG product types will be available.
|
Get products
Example
Request
To get the download details for all product types, enter the following curl command, remembering to replace the ${VARNAME} variables with the appropriate values:
curl --location "${API_BASE_URL}/api/tasking/v2/tasks/${taskID}/products" \
--header "Accept: application/json, application/problem+json" \
--header "Authorization: Bearer ${API_ACCESS_TOKEN}"
Response
On success, the response returns a 200 status code and a JSON object containing list of Products details, including a list of all its assets and safe, pre-signed download URLs.
| Download URLs expire in 1 hour. Do not store the URLs for long term access. |
Open code example
{
"cursor": "",
"data": [
{
"assets": {
"grd-tif": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "GRD data file",
"type": "image/tiff; application=geotiff"
},
"grd-xml": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "GRD metadata file",
"type": "application/xml"
},
"quicklook-kml": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "Quicklook metadata file",
"type": "application/vnd.google-earth.kml+xml"
},
"quicklook-png": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "Quicklook png file",
"type": "image/png"
},
"quickortho-kmz": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "Quickortho kmz file",
"type": "application/vnd.google-earth.kmz"
},
"quickortho-tif": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "Quickortho tif file",
"type": "image/tiff; application=geotiff"
},
"thumbnail-json": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "Thumbnail json file",
"type": "application/json"
},
"thumbnail-kml": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "Thumbnail metadata file",
"type": "application/vnd.google-earth.kml+xml"
},
"thumbnail-png": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "Thumbnail png file",
"type": "image/png"
}
},
"bbox": [
-54.741608,
-17.12643,
-54.339348,
-16.480421
],
"collection": "",
"geometry": {
"coordinates": [
[
[
-54.741608,
-17.074827
],
[
-54.453754,
-17.12643
],
[
-54.339348,
-16.532232
],
[
-54.626904,
-16.480421
],
[
-54.741608,
-17.074827
]
]
],
"type": "Polygon"
},
"id": "a91ccf1b-bbf1-4775-ba1d-2003cada8d32",
"properties": {
"created": "2024-12-13T13:17:53.487Z",
"end_datetime": "2024-12-13T12:58:32.085288Z",
"frame_id": "4407788_1",
"iceye:acquisition_mode": "stripmap",
"iceye:azimuth_resolution": 3,
"iceye:chirp_bandwidth": 116000000,
"iceye:data_orientation": "native",
"iceye:incidence_center": 33.347347,
"iceye:incidence_far": 34.61296,
"iceye:incidence_near": 32.04998,
"iceye:range_resolution_center": 2.47,
"iceye:range_resolution_far": 2.39,
"iceye:range_resolution_near": 2.56,
"iceye:satellite_look_angle": 30.35,
"iceye:processing_mode": "SM",
"sar:frequency_band": "X",
"sar:looks_azimuth": 1,
"sar:looks_range": 1,
"sar:observation_direction": "left",
"sar:polarizations": [
"VV"
],
"sar:product_type": "GRD",
"sat:orbit_state": "descending",
"start_datetime": "2024-12-13T12:58:22.109265Z",
"updated": "2024-12-13T13:17:53.487Z"
},
"stac_version": "1.0.0-beta.1",
"type": "Feature"
}
]
}
Get products by type
Example
Request
To get the download details for products of type GRD-COG, enter the following curl command, remembering to replace the ${VARNAME} variables with the appropriate values:
curl --location "${API_BASE_URL}/api/tasking/v2/tasks/${taskID}/products/GRD-COG" \
--header "Accept: application/json, application/problem+json" \
--header "Authorization: Bearer ${API_ACCESS_TOKEN}"
Response
On success, the response returns a 200 status code and a JSON object containing the Product details, including a list of all its assets and safe, pre-signed download URLs.
| Download URLs expire in 1 hour. Do not store the URLs for long term access. |
Open code example
{
"cursor": "",
"data": [
{
"assets": {
"grd-tif": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "GRD data file",
"type": "image/tiff; application=geotiff"
},
"grd-xml": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "GRD metadata file",
"type": "application/xml"
},
"quicklook-kml": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "Quicklook metadata file",
"type": "application/vnd.google-earth.kml+xml"
},
"quicklook-png": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "Quicklook png file",
"type": "image/png"
},
"quickortho-kmz": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "Quickortho kmz file",
"type": "application/vnd.google-earth.kmz"
},
"quickortho-tif": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "Quickortho tif file",
"type": "image/tiff; application=geotiff"
},
"thumbnail-json": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "Thumbnail json file",
"type": "application/json",
"roles": [
"metadata"
]
},
"thumbnail-kml": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "Thumbnail metadata file",
"type": "application/vnd.google-earth.kml+xml",
"roles": [
"metadata"
]
},
"thumbnail-png": {
"href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
"title": "Thumbnail png file",
"type": "image/png",
"roles": [
"thumbnail"
],
"coordinates": {
"top_left": [ 24.88545, 60.21952 ],
"top_right": [ 24.98545, 60.21952 ],
"bottom_left": [ 24.88545, 60.11952 ],
"bottom_right": [ 24.98545, 60.11952 ]
}
}
},
"bbox": [
-54.741608,
-17.12643,
-54.339348,
-16.480421
],
"collection": "",
"geometry": {
"coordinates": [
[
[
-54.741608,
-17.074827
],
[
-54.453754,
-17.12643
],
[
-54.339348,
-16.532232
],
[
-54.626904,
-16.480421
],
[
-54.741608,
-17.074827
]
]
],
"type": "Polygon"
},
"id": "a91ccf1b-bbf1-4775-ba1d-2003cada8d32",
"properties": {
"created": "2024-12-13T13:17:53.487Z",
"end_datetime": "2024-12-13T12:58:32.085288Z",
"frame_id": "4407788_1",
"iceye:acquisition_mode": "stripmap",
"iceye:azimuth_resolution": 3,
"iceye:chirp_bandwidth": 116000000,
"iceye:data_orientation": "native",
"iceye:incidence_center": 33.347347,
"iceye:incidence_far": 34.61296,
"iceye:incidence_near": 32.04998,
"iceye:range_resolution_center": 2.47,
"iceye:range_resolution_far": 2.39,
"iceye:range_resolution_near": 2.56,
"iceye:satellite_look_angle": 30.35,
"iceye:processing_mode": "SM",
"sar:frequency_band": "X",
"sar:looks_azimuth": 1,
"sar:looks_range": 1,
"sar:observation_direction": "left",
"sar:polarizations": [
"VV"
],
"sar:product_type": "GRD",
"sat:orbit_state": "descending",
"start_datetime": "2024-12-13T12:58:22.109265Z",
"updated": "2024-12-13T13:17:53.487Z"
},
"stac_version": "1.0.0-beta.1",
"type": "Feature"
}
]
}